@import url("https://fonts.googleapis.com/css2?family=Oxygen&family=Raleway:wght@500&display=swap");
@import "./util.css";

:root {
  --primary: #12b9e0;
  --theme-light: #ffffff;
  --theme-dark: #5A5A5A;
  --primary-shade: #12bae025;
  --light-primary: #b8edfc6e;
  --dark-primary: #0797b8;
  --secondary: #fdffff;
  --success: #51ff49;
  --success-shade: #52ff4967;
  --warning: #ffdc40;
  --warning-shade: #ffdc4070;
  --danger: #ff4949;
  --danger-shade: #ff494962;
  --light: #f3ecec;
  --dark: #e6dedea8;
  --dark-shade: #e6dede34;
  --darker: #585757;
  --code-link: rgb(226, 81, 81);
  --font-heading: "Raleway", sans-serif;
  --font-body: "Oxygen", sans-serif;
  --shadow: 0.3rem 0.3rem 0.3rem 0.3rem rgba(187, 178, 178, 0.247);
}
html {
  font-size: 62.5%;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: var(--font-body);
}

i {
  font-size: 4rem !important;
  color: white;
  cursor: pointer;
  margin-right: 1rem;
}

hr {
  border-top: none;
  border-left: none;
  border-right: none;
  padding: 1px 0;
  margin: 0.5rem 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
ol,
ul {
  margin: 0;
  padding: 0;
}

li {
  list-style: none;
}

/* anchor tag default styling removal */
a {
  text-decoration: none;
  color: inherit;
  cursor: pointer;
}

::-webkit-scrollbar {
  width: 1.9rem;
}

::-webkit-scrollbar-track {
  background-color: transparent;
}

::-webkit-scrollbar-thumb {
  background-color: #d1e1e7f1;
  border-radius: 20px;
  border: 6px solid transparent;
  background-clip: content-box;
}

::-webkit-scrollbar-thumb:hover {
  background-color: #a8bbbf;
}

pre {
  display: grid;
  width: 100%;
  font-size: 2rem;
}
